When I realize I used a library that is deprecated